---
apiVersion: v1
kind: ConfigMap
metadata:
  name: dynamic-plugins-rhdhsupp-291
data:
  dynamic-plugins.yaml: |
    includes:
      - dynamic-plugins.default.yaml
    plugins:
      - package: '@backstage-community/plugin-scaffolder-backend-module-azure-devops@0.12.0'
        integrity: sha512-DMuFMtQ2I/5qaTqQVfvDuv5PJwoGh+H5KP13YwkYyqVOgTlzDmNFo9RwlK14/qg1KPgM0cYoNOUy1fya46eLrg==
        disabled: false
        pullPolicy: Always

---
apiVersion: v1
kind: ConfigMap
metadata:
  name: app-config-rhdhsupp-291
data:
  "app-config-rhdhsupp-291.yaml": |
    ### ONLY FOR TESTING ###
    backend:
      auth:
        dangerouslyDisableDefaultAuthPolicy: true
    auth:
      environment: development
      providers:
        guest:
          dangerouslyAllowOutsideDevelopment: true

---
# Dynamic plugins cache PVC
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: dynamic-plugins-root-rhdhsupp-291
spec:
  # Use an appropriate storage class that supports ReadWriteMany access mode for your environment
  # storageClassName: nfs-client
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 1Gi

---
apiVersion: rhdh.redhat.com/v1alpha3
kind: Backstage
metadata:
  name: my-rhdh-rhdhsupp-291
spec:
  application:
    appConfig:
      configMaps:
        - name: app-config-rhdhsupp-291
    dynamicPluginsConfigMapName: dynamic-plugins-rhdhsupp-291
    extraEnvs:
      envs:
        - name: LOG_LEVEL
          value: 'debug'
  deployment:
    patch:
      spec:
        template:
          spec:
            volumes:
              # Enable dynamic plugins cache
              - $patch: replace
                name: dynamic-plugins-root
                persistentVolumeClaim:
                  claimName: dynamic-plugins-root-rhdhsupp-291
